{
	"name": "ws24-kp-avril",
	"build": {
		"dockerfile": "Dockerfile",
		"context": "..",
		"args": {
			"USERNAME": "vscode",
			"USER_UID": "1001",
			"USER_GID": "1001"
		}
	},
	"settings": {
		"terminal.integrated.defaultProfile.linux": "fish"
	},
	"extensions": [
		"ms-azuretools.vscode-docker",

		"ms-vscode.vscode-typescript-next",
		"dart-code.dart-code",
		"golang.go",
		"denoland.vscode-deno"
	],
	"features": {
		//"docker-in-docker": "latest",
		"ghcr.io/devcontainers/features/docker-outside-of-docker:1": {}
	},
	"runArgs": ["--add-host=host.docker.internal:host-gateway"],
	"postCreateCommand": "./.devcontainer/setup.sh",
	"remoteUser": "vscode",
	"updateRemoteUserUID": true,
	//"workspaceMount": "",
	//"workspaceFolder": "/workspaces",
	"mounts": [
		"type=bind,source=/var/run/docker.sock,target=/var/run/docker.sock",
		"source=${localEnv:HOME}${localEnv:USERPROFILE}/.ssh,target=/home/vscode/.ssh-host,type=bind,consistency=cached"
		//"source=${localEnv:HOME}/.ssh,target=/home/vscode/.ssh,type=bind,consistency=cached"
	]
}
